import { TdChartOptionsService, ITdSeries, TdSeriesDirective } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export type TdWordcloudShape = 'circle' | 'cardioid' | 'diamond' | 'triangle-forward' | 'triangle' | 'pentagon' | 'star';
export interface ITdWordcloudTextStyle {
    normal?: {
        fontFamily?: string;
        fontWeight?: string;
        color?: string | ((x: any) => string);
    };
    emphasis?: {
        shadowBlur?: number;
        shadowColor?: string;
    };
}
export interface ITdWordCloudData {
    name: string;
    value: number;
    textStyle?: ITdWordcloudTextStyle;
}
export interface ITdWordcloudSeries extends ITdSeries {
    data?: ITdWordCloudData[];
    shape?: TdWordcloudShape;
    left?: string | number;
    top?: string | number;
    width?: string | number;
    height?: string | number;
    right?: string | number;
    bottom?: string | number;
    sizeRange?: number[];
    rotationRange?: number[];
    rotationStep?: number;
    gridSize?: number;
    drawOutOfBound?: boolean;
    textStyle?: ITdWordcloudTextStyle;
}
export declare class TdChartSeriesWordcloudComponent extends TdSeriesDirective implements ITdWordcloudSeries {
    data?: ITdWordCloudData[];
    shape?: TdWordcloudShape;
    left?: string | number;
    top?: string | number;
    width?: string | number;
    height?: string | number;
    right?: string | number;
    bottom?: string | number;
    sizeRange?: number[];
    rotationRange?: number[];
    rotationStep?: number;
    gridSize?: number;
    drawOutOfBound?: boolean;
    textStyle?: ITdWordcloudTextStyle;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesWordcloudComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesWordcloudComponent, "td-chart-series[td-wordCloud]", never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "color": { "alias": "color"; "required": false; }; "data": { "alias": "data"; "required": false; }; "animation": { "alias": "animation"; "required": false; }; "animationThreshold": { "alias": "animationThreshold"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "animationEasing": { "alias": "animationEasing"; "required": false; }; "animationDelay": { "alias": "animationDelay"; "required": false; }; "animationDurationUpdate": { "alias": "animationDurationUpdate"; "required": false; }; "animationEasingUpdate": { "alias": "animationEasingUpdate"; "required": false; }; "animationDelayUpdate": { "alias": "animationDelayUpdate"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "shape": { "alias": "shape"; "required": false; }; "left": { "alias": "left"; "required": false; }; "top": { "alias": "top"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "right": { "alias": "right"; "required": false; }; "bottom": { "alias": "bottom"; "required": false; }; "sizeRange": { "alias": "sizeRange"; "required": false; }; "rotationRange": { "alias": "rotationRange"; "required": false; }; "rotationStep": { "alias": "rotationStep"; "required": false; }; "gridSize": { "alias": "gridSize"; "required": false; }; "drawOutOfBound": { "alias": "drawOutOfBound"; "required": false; }; "textStyle": { "alias": "textStyle"; "required": false; }; }, {}, never, never, false, never>;
}
